com.microfocus.awm.meta.interfaces.validation

## Interface GlobalActionValidator

-     public interface GlobalActionValidator

  A sample validator interface for `GlobalAction`. This doesn't really do anything, and it's not a real EMF artifact. It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended. This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `validate()`
    `boolean` | `validateActionEnabledCondition(RSelectionEnabledCondition value)`
    `boolean` | `validateActionVisibleCondition(RSelectionVisibleCondition value)`
    `boolean` | `validateIcon(Icon value)`
    `boolean` | `validateISAEditorAction(ISAEditorAction value)`
    `boolean` | `validateISAWorkbenchAction(ISAWorkbenchAction value)`
    `boolean` | `validateLabel(java.lang.String value)`
    `boolean` | `validateSeparatorAfter(boolean value)`
    `boolean` | `validateSeqNo(int value)`
    `boolean` | `validateSubmenu(java.lang.String value)`
    `boolean` | `validateTargetID(ActionDescriptor value)`

- - ### Method Detail

    - #### validate

          boolean validate()

    - #### validateActionEnabledCondition

          boolean validateActionEnabledCondition(RSelectionEnabledCondition value)

    - #### validateActionVisibleCondition

          boolean validateActionVisibleCondition(RSelectionVisibleCondition value)

    - #### validateISAEditorAction

          boolean validateISAEditorAction(ISAEditorAction value)

    - #### validateISAWorkbenchAction

          boolean validateISAWorkbenchAction(ISAWorkbenchAction value)

    - #### validateIcon

          boolean validateIcon(Icon value)

    - #### validateLabel

          boolean validateLabel(java.lang.String value)

    - #### validateSeqNo

          boolean validateSeqNo(int value)

    - #### validateSubmenu

          boolean validateSubmenu(java.lang.String value)

    - #### validateTargetID

          boolean validateTargetID(ActionDescriptor value)

    - #### validateSeparatorAfter

          boolean validateSeparatorAfter(boolean value)

Copyright © 2015 Micro Focus GmbH. All rights reserved.